ResponseRedirector (Grails 6.0.0)

Package: grails.web.mapping

## [Groovy] Class ResponseRedirector

- grails.web.mapping.ResponseRedirector

-     @groovy.transform.CompileStatic
      @groovy.util.logging.Commons
      class ResponseRedirector
      extends java.lang.Object

  Encapsulates the logic for issuing a redirect based on a Map of arguments

  Since:
    2.4
  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `ARGUMENT_ABSOLUTE` |
    `static java.lang.String` | `ARGUMENT_PERMANENT` |
    `private static java.lang.String` | `BLANK` |
    `static java.lang.String` | `GRAILS_REDIRECT_ISSUED` |
    `private static java.lang.String` | `KEEP_PARAMS_WHEN_REDIRECT` |
    `private LinkGenerator` | `linkGenerator` |
    `private java.util.Collection<RedirectEventListener>` | `redirectListeners` |
    `private org.springframework.web.servlet.support.RequestDataValueProcessor` | `requestDataValueProcessor` |
    `private boolean` | `useJessionId` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `LinkGenerator` | `linkGenerator`
    `java.util.Collection<RedirectEventListener>` | `redirectListeners`
    `org.springframework.web.servlet.support.RequestDataValueProcessor` | `requestDataValueProcessor`
    `boolean` | `useJessionId`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ResponseRedirector (LinkGenerator linkGenerator)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `private java.lang.String` | `processedUrl(java.lang.String link, javax.servlet.http.HttpServletRequest request)`
    `` | `void` | `redirect(java.util.Map arguments)`
    `` | `void` | `redirect(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.util.Map arguments)`
    `` | `private void` | `redirectResponse(java.lang.String serverBaseURL, java.lang.String actualUri, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, boolean permanent, boolean absolute)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String ARGUMENT_ABSOLUTE

    - #### public static final java.lang.String ARGUMENT_PERMANENT

    - #### private static final java.lang.String BLANK

    - #### public static final java.lang.String GRAILS_REDIRECT_ISSUED

    - #### private static final java.lang.String KEEP_PARAMS_WHEN_REDIRECT

    - #### private LinkGenerator linkGenerator

    - #### private java.util.Collection<RedirectEventListener> redirectListeners

    - #### private org.springframework.web.servlet.support.RequestDataValueProcessor requestDataValueProcessor

    - #### private boolean useJessionId

  - ### Property Detail

    - #### LinkGenerator linkGenerator

    - #### java.util.Collection<RedirectEventListener> redirectListeners

    - #### org.springframework.web.servlet.support.RequestDataValueProcessor requestDataValueProcessor

    - #### boolean useJessionId

  - ### Constructor Detail

    - #### ResponseRedirector(LinkGenerator linkGenerator)

  - ### Method Detail

    - #### private java.lang.String processedUrl(java.lang.String link, javax.servlet.http.HttpServletRequest request)

    - #### void redirect(java.util.Map arguments)

    - #### void redirect(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.util.Map arguments)

    - #### private void redirectResponse(java.lang.String serverBaseURL, java.lang.String actualUri, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, boolean permanent, boolean absolute)